onEvent('recipes', e => {

  e.shapeless('3x minecraft:oak_planks', ['minecraft:cactus'])
  e.shapeless('3x minecraft:blaze_powder', ['minecraft:blaze_rod'])
  e.shapeless('chisel:marble/raw', ['astralsorcery:marble_raw'])
  e.remove({ output: 'minecraft:blaze_powder' })
  e.remove({ output: 'minecraft:bucket' })
  e.remove({ output: 'minecraft:furnace' })
  e.remove({ output: 'masterfulmachinery:projector' })
  e.remove({ output: 'masterfulmachinery:structure_generator' })
  e.remove({ output: 'masterfulmachinery:structure_gen_device' })
  e.remove({ output: 'weirdinggadget:weirding_gadget' })
  e.remove({ output: 'evilcraft:mace_of_destruction' })
  e.remove({ output: 'buildinggadgets:gadget_destruction' })
  e.remove({ output: 'cyclic:emerald_leggings' })
  e.remove({ output: 'cyclic:crystal_leggings'})
  e.remove({ output: '#chiselsandbits:chisel' })
  e.remove({ output: 'chiselsandbits:quill' })
  e.remove({ output: 'chiselsandbits:chiseled_printer'})
  e.remove({ output: 'chiselsandbits:bit_storage' })
  e.remove({ output: '#chiselsandbits:bit_bag'})
  e.remove({ output: 'evilcraft:sceptre_of_thunder'})
  e.remove({ output: 'thermal:chiller_ingot_cast'})
  e.remove({ output: '#projectred-exploration:backpacks'})
  
  e.shaped('ceramics:clay_bucket', [
    ' 1',
    ' 2',
    ' 1'
  ], {
    1: 'minecraft:blaze_powder', 2: 'ceramics:unfired_clay_bucket'
  })

  e.shaped('8x astralsorcery:marble_raw', [
    '333',
    '121',
    '444'
  ], {
    1: 'botania:blaze_block', 2: 'minecraft:cobblestone', 3: 'minecraft:andesite', 4: 'minecraft:granite'
  })

  e.shaped('torchmaster:megatorch', [
    '131',
    '121',
    '111'
  ], {
    1: 'botania:blaze_block', 2: 'botania:ender_eye_block', 3: 'minecraft:torch'
  })

  e.shaped('torchmaster:feral_flare_lantern', [
    '131',
    '121',
    '111'
  ], {
    1: 'botania:blaze_block', 2: 'botania:ender_eye_block', 3: 'torchmaster:megatorch'
  })

  e.smelting('astralsorcery:starmetal_ingot', 'astralsorcery:stardust')
})